Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.launcher
Class SwingWorker

    java.lang.Object
      org.jivesoftware.openfire.launcher.SwingWorker

    public abstract class SwingWorker

extends Object

Modified SwingWorker that actually works.

Author:
  Derek DeMoro

Constructor Summary
`SwingWorker()` Start a thread that will call the `construct` method and then exit.

Method Summary
`abstract Object` | `construct()` Compute the value to be returned by the `get` method.
`void` | `finished()` Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.
`Object` | `get()` Return the value created by the `construct` method.
`protected Object` | `getValue()` Get the value produced by the worker thread, or null if it hasn't been constructed yet.
`void` | `interrupt()` A new method that interrupts the worker thread.
`void` | `start()` Start the worker thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingWorker

    public SwingWorker()

  Start a thread that will call the `construct` method and then exit.

Method Detail

### getValue

    protected Object getValue()

  Get the value produced by the worker thread, or null if it hasn't been constructed yet.

### construct

    public abstract Object construct()

  Compute the value to be returned by the `get` method.

### finished

    public void finished()

  Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.

### interrupt

    public void interrupt()

  A new method that interrupts the worker thread. Call this method to force the worker to stop what it's doing.

### get

    public Object get()

  Return the value created by the `construct` method. Returns null if either the constructing thread or the current thread was interrupted before a value was produced.

  Returns:
    the value created by the `construct` method

### start

    public void start()

  Start the worker thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.